<template>
  <pageWrapper
    style="z-index: 6"
    :title="$t('deposit.title')"
    closable
    backable
    :gradient="true"
    @close="close"
    @back="back">
    <div class="deposit">
      <notExistedAccount
        @close="close"
        v-if="!accountExist"></notExistedAccount>
      <existedAccount v-else></existedAccount>
    </div>
  </pageWrapper>
</template>

<script>
  import pageWrapper from '~/components/common/pageWrapper';
  import existedAccount from '~/components/deposit/existedAccount';
  import notExistedAccount from '~/components/deposit/notExistedAccount';

  export default {
    name: "Deposit",
    components: {
      pageWrapper,
      notExistedAccount,
      existedAccount
    },
    computed: {
      accountName() {
        return this.$store.state.wallet.accountName;
      },
      accountExist() {
        return this.$store.state.common.accountExist;
      }
    },
    methods: {
      back() {
        this.$emit('close');
      },
      close() {
        this.$emit('closeAll');
      },
    }
  }
</script>
